<ejs-dialog id="savedModalDialog" #savedModalDialog isModal="true" width=550 [visible]='false' [showCloseIcon]='true'>
    <ng-template #content>
        <div class="row" *ngFor="let item of this.listOfSavedSearches">
            <div class="col-md-12" (click)="this.searchRowClicked(item)">
                <span *ngIf="item.name && item.name.length > 0"> {{item.name}} | </span>
                <span *ngIf="item.search_text && item.search_text.length > 0">{{item.search_text}} | </span>
                <span *ngIf="item.connector_type && item.connector_type.length > 0">{{item.connector_type}} | </span>
                <span>{{item.layer_name}} | </span>
                {{item.created_date}}
            </div>
            <div class="col-md-12">
                <hr />
            </div>
        </div>

    </ng-template>

    <ng-template #header>
        <div title='Request Access' class="e-icon-settings">List of Saved Searches</div>
    </ng-template>
    <div class="e-footer-content">
        <button type="button" class="e-control e-btn e-lib e-primary e-flat" data-ripple="true"
            (click)="this.hideSavedModal()">Cancel</button>
    </div>
</ejs-dialog>

<div class="modal fade" id="confirmDownload" role="dialog">
    <div class="modal-dialog modal-md top-30">

        <!-- Modal content-->
        <div class="modal-content" id="columnCheck">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="form-check ml-3 ">
                    <input class="form-check-input" type="checkbox" id="defaultCheck1"
                        [(ngModel)]="check_for_column_level">
                    <label class="form-check-label Include-Attribute-le" for="defaultCheck1">
                        Include Attribute level information
                    </label>
                </div>
            </div>
            <!-- <div class="modal-footer"> -->
            <div class="row ml-1 mb-3 mt-3">
                <div class="col-md-6"><button class="cancel btn" data-dismiss="modal">Cancel</button>
                </div>
                <div class="col-md-6"><button class="btn btn-primary actionButton mr-3 float-right"
                        (click)="bulkDownloadClicked()">Continue</button></div>
            </div>
            <!-- </div> -->
        </div>
    </div>
</div>

<div class="modal fade" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel3"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-slideout modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header" id="bulkImportHeader">
                <h5 class="modal-title" id="exampleModalLabel">Bulk Import</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="closeImportBtn">
                    <span aria-hidden="true">
                        <img src="assets/images/novartis/remove.svg" alt="Close" class="top-minus-10">
                    </span>
                </button>
            </div>
            <div class="modal-body">
                <div class="mt-2 ml-5 mr-5">
                    <h6 class="need-a-template">Need a template?</h6>
                    <button class="btn btn-md btn-primary actionButton mb-3" (click)="bulkDownloadClicked()">Download
                        Template</button>
                    <hr />
                    <h6 class="mt-5 need-a-template">Upload your document</h6>

                    <div class="custom-upload">
                        <label class="btn"><span class="upload-text">Drag and drop or </span>
                            <span class="browse-text">browse</span>
                            <input #fileUpload type="file" name="file" class="btn" id="uploadView"
                                (change)="selectSampleFile($event)" />
                        </label>
                    </div>
                    <button name="btnUpload" #btnUpload
                        class="btn btn-md btn-primary actionButton mt-2 w-100 btn-import"
                        *ngIf="selectedFiles && !isUploading"
                        (click)="uploadSampleFile()">{{i18Labels.uploadFile.buttons.validate}}</button>
                    <button name="btnUpload" #btnUpload
                        class="btn btn-md btn-secondary mr-2 actionButton mt-2 w-100 btn-import"
                        *ngIf="selectedFiles && !isUploading" data-dismiss="modal">Cancel</button>

                    <!-- <input #fileUpload type="file" name="file" class="btn btn-outline-warning" id="uploadView"
                        (change)="selectSampleFile($event)" /> -->
                    <!-- <button name="btnUpload" #btnUpload class="mt-2 btn btn-outline-warning w-100"
                        *ngIf="selectedFiles && !isUploading"
                        (click)="uploadSampleFile()">{{i18Labels.uploadFile.buttons.upload}}</button> -->

                    <button class="btn btn-outline-warning" *ngIf="isValidating">
                        <span class="spinner-border spinner-border-sm text-warning"></span>
                        {{this.isValidating === true? i18Labels.uploadFile.validate_status : i18Labels.uploadFile.status}}
                    </button>
                    <div class="progressContainer mt-3" *ngIf="this.progresswidth > 0">
                        <p class="mt-2 ml-2 mr-2 mb-2 bulk-import-filename">{{fileNameToView}}</p>
                        <div class="progress ml-2 mr-2">
                            <div class="progress-bar" role="progressbar" [style.width]="progresswidth + '%'"
                                aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        <p class="mt-2 ml-2 mr-2 mb-2 progress-complete">{{progresswidth}}% done</p>
                    </div>
                    <div *ngIf="displayRecords == true" class="mt-5">
                        <h6 class="need-a-template">Validation Summary</h6>
                        <p class="progress-results"><span><img src="assets/images/novartis/success.svg" class="success"
                                    alt=""></span> Number of Records: {{totalRecords}}</p>
                        <p class="progress-results"><span><img src="assets/images/novartis/success.svg" class="success"
                                    alt=""></span> Number of Records Updated: {{successRecords}}</p>
                        <p class="progress-results"><span><img src="assets/images/novartis/error.svg" class="success"
                                    alt=""></span> Number of Failed Reord Updates: {{failedRecords}}</p>
                        <a class="mt-3 need-a-template" class="pointer" (click)="downloadReport()">Download Full
                            Report</a>
                    </div>
                    <div *ngIf="displayRecords == true">
                        <button name="btnUpload" #btnUpload
                            class="btn btn-md btn-primary actionButton mt-2 w-fc btn-import"
                            (click)="finalUpload()">Continue Import</button>
                        <button name="btnUpload" #btnUpload
                            class="btn btn-md btn-secondary mr-2 actionButton mt-2 w-100 btn-import"
                            data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
            <!-- <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary actionButton">Save changes</button>
            </div> -->
        </div>
    </div>
</div>
<div class="row fill-back mtl">
    <div class="col-md-9">
        <ul class="nav nav-tabs bar_tabs tab-shift" id="myTab" role="tablist">
            <li class="nav-item generic-tab">
                <a class="nav-link" data-toggle="tab" href role="tab" aria-controls="updates" aria-selected="true"
                    (click)="key='objects'; search_catalog()" [ngClass]="{'active' : key == 'objects'}">Objects</a>
            </li>
            <li class="nav-item generic-tab">
                <a class="nav-link" data-toggle="tab" href role="tab" aria-controls="data-set" aria-selected="true"
                    (click)="key='dataAsset'; setKey()" [ngClass]="{'active' : key == 'dataAsset'}">Data Asset</a>
            </li>
            <li class="nav-item generic-tab">
                <a class="nav-link" data-toggle="tab" href role="tab" aria-controls="glossary" aria-selected="true"
                    (click)="key='glossary'" [ngClass]="{'active' : key == 'glossary'}">Glossary</a>
            </li>
        </ul>
    </div>
    <div class="col-md-3" *ngIf="key !== 'dataAsset' && key !== 'glossary'">
        <button class="btn btn-sm float-right mt-1 mr-3 actionButton pr-0"
            [ngClass]="{'btn-secondary' : key == 'basket', 'btn-primary' : key !== 'basket'}"
            (click)="key='basket'; basketClicked()">My Basket <img src="assets/images/novartis/basket.svg" alt=""
                class="icon-css pb-1" *ngIf="key !== 'basket'" />
            <img src="assets/images/novartis/basket-black.svg" alt="" *ngIf="key == 'basket'"
                class="icon-css pb-1" /><span class="badge badge-light"
                *ngIf="basketCount > 0">{{basketCount}}</span></button>
        <button class="btn btn-primary actionButton btn-sm float-right mt-1 mr-3" *ngIf="key == 'basket'"
            (click)="key='objects'; search_catalog()">Search List <img src="assets/images/novartis/listview.svg" alt=""
                class="listview"></button>
    </div>
    <div class="col-md-3 input-group" id="searchEle" *ngIf="key == 'dataAsset'">
        <input class="form-control border srch-input" placeholder="search" type="text" [(ngModel)]="searchdataAsset">
        <span class="input-group-append">
            <div class="input-group-text bg-transparent"><img src="assets/images/feature_icons/search.svg"
                class="icon-css" alt="Search"></div>
        </span>
    </div>
</div>
<div class="tab-content">

    <div class="tab-pane fade tab-data" [ngClass]="{'active show' : key == 'objects'}" id="objects" role="tabpanel">
        <!--advanced search-->
        <div class="row mt-4-5 ml-3 mr-3 mb-4-5 cust-height" id="adv-search-drop-form">
            <div class="col-md-2 mt-3 mb-3 border-solid">
                <form class="form-inline d-flex md-form mt-0">
                    <img src="assets/images/novartis/search.png" alt="" srcset="assets/images/novartis/search@2x.png 2x,
                                assets/images/novartis/search@3x.png 3x" class="search">
                    <!-- <ejs-autocomplete id='atcelement' #searchSuggestion class="Search ml-2" [dataSource]='keyUpSearchData'
                    [(value)]='searchsuggestion' [placeholder]='Search' (change)="search_catalog()" ()="search_suggestion()">
                    </ejs-autocomplete> -->
                    <input class="Search ml-2" list="suggestion_list" type="text" placeholder="Search" [(ngModel)]="searchText"
                        name="searchText" aria-label="Search" (change)="search_catalog()" (keyup)="search_suggestion()" autocomplete="off">
                        <datalist id="suggestion_list">
                            <option *ngFor="let suggestion of suggestion_list"><div [innerHTML]="suggestion"></div></option>
                        </datalist>
                </form>
            </div>
            <div class="col-md-7 Line">
                <div class="row mt-3 ml-1">
                    <div class="col-md-3 pr-1" *ngFor="let input of show_input_lists; let $index = index">
                        <div class="row mb-1">
                            <div class="col-md-12" id="search-multi-select">
                                <div class="input-group input-group-sm">
                                    <div class="row">
                                        <div class="p-0"
                                            [ngClass]="[!attrArray.includes(input.attribute_name) ? 'col-md-10' : 'col-md-11']">
                                            <div id="sync-multi" *ngIf="input.type == 'checkbox'">
                                                <ejs-multiselect id='multiselect-checkbox' #checkbox
                                                    [dataSource]='input.specific_list' [mode]='mode'
                                                    [showDropDownIcon]='true' showSelectAll='true'
                                                    [filterBarPlaceholder]='filterPlaceholder'
                                                    [placeholder]='input.display_attribute_name'
                                                    (change)="selectdrop($event, input.attribute_name)"
                                                    [(value)]='input.value' cssClass="e-outline" [popupWidth]="275">
                                                </ejs-multiselect>
                                            </div>
                                            <div id="sync-multi" *ngIf="input.type == 'uritext'">
                                                <input type="text" placeholder="Enter Here..."
                                                    class="form-control form-control-lg b-0" name="viewText"
                                                    [(ngModel)]="input.viewText"
                                                    (change)="selectdrop($event.target, input.attribute_name)">
                                            </div>
                                            <div id="sync-multi" *ngIf="input.type == 'desctext'">
                                                <input type="text" placeholder="Enter Here..." id="sync-multi1"
                                                    class="form-control form-control-lg b-0" list="sl2" name="viewText"
                                                    [(ngModel)]="input.viewText"
                                                    (change)="selectdrop($event.target, input.attribute_name)">
                                                <datalist id="sl2">
                                                    <option *ngFor="let i of input.specific_list" [value]="i">
                                                </datalist>
                                            </div>
                                            <!-- </div> -->
                                            <!-- <div class="col-md-1 p-0" *ngIf="!attrArray.includes(input.attribute_name)"> -->
                                            <!-- <span class="clickable"
                                                (click)='clear_attribute_for_search(input, $index)'>x</span> -->

                                        </div>
                                        <div class="col-md-1">
                                            <button class="warningButton btn pt-0 margin-left-minus-15"
                                                aria-label="Delete selectedAttribute" #deleteButton
                                                *ngIf="!attrArray.includes(input.attribute_name)" aria-expanded="false"
                                                (click)='clear_attribute_for_search(input, $index)'>
                                                <img src="assets/images/novartis/remove.svg" alt="Search" height="16px"
                                                    width="16px" />
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="dropdown float-right left-border">
                    <!-- <button class="btn btn-sm btn-primary actionButton" type="button" aria-haspopup="true" aria-expanded="false" (click)="search_catalog()">
                              <i class="fa fa-search mr-1"></i> <span class="ml-1 mr-1">Search</span>
                            </button> -->
                    <button class="btn p-0 star-button ml-3 mt-3 mr-1 btn-bg" type="button" aria-haspopup="true"
                        aria-expanded="false" (click)="search_catalog()">
                        <img src="assets/images/novartis/star.png"alt="" srcset="assets/images/novartis/star@2x.png 2x,
                        assets/images/novartis/star@3x.png 3x" class="icon-css">
                    </button>
                    <button class="mt-3 btn dropdown-toggle btn-bg actionButton" type="button" id="dropdownMenuButton1"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span class="ml-1 mr-1">Your Saved Filters
                            <img src="assets/images/novartis/down.svg" alt="" class="ml-1 mb-1">
                        </span>
                    </button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                        <a class="dropdown-item">Option 1</a>
                        <a class="dropdown-item">Option 2</a>
                    </div>
                </div>
                <div class="dropdown mr-3 mt-3">
                    <button class="btn btn-sm btn-primary actionButton dropdown-toggle cust-add-btn" type="button"
                        id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                        [disabled]="listOfAttributesForSearch.length < 1">
                        <img src="assets/images/novartis/add.svg" alt="Add Filter" class="add" />
                        <span class="ml-1 mr-1">Add
                            <!-- <img src="assets/images/novartis/down.svg" class="ml-1 mb-1"> -->
                        </span>
                    </button>
                    <button class="btn reset" (click)="resetCatalog()">Reset</button>
                    <div class="dropdown-menu add-drp-dwn" aria-labelledby="dropdownMenuButton">
                        <input class="form-control drp-search" name="filterInput" [(ngModel)]="filterInput" id="myInput"
                            type="text" placeholder="Search" autocomplete="none" (input)="filterOptions()">
                        <a class="dropdown-item" *ngFor="let item of listOfAttributesForSearch"
                            (click)="attributeSelected(item)">{{item.display_attribute_name}}</a>
                    </div>
                </div>
            </div>
        </div>

        <!--actions tab-->
        <div class="row" *ngIf="this.showSaveingInput && this.showAdvSearch">
            <div class="col-md-4">
                <input type="text" class="form-control" id="save_search" aria-describedby="saveHelp"
                    name="nameToSaveSearch" [(ngModel)]="this.nameToSaveSearch" placeholder="Enter Name..." />
                <small id="saveHelp" class="form-text text-muted">Enter name and press save button for saving this
                    search
                    criteria.</small>
            </div>
            <div class="col-md-6 mt-2">
                <span class="save-search" *ngIf="!this.isSearchSaved"
                    (click)="callSaveSearch()">{{ i18Labels.Detailedcatalogview['Save'] }}</span>
                <span class="saved-successful"
                    *ngIf="this.isSearchSaved">{{ i18Labels.Detailedcatalogview['Saved'] }}</span>
            </div>
        </div>

        <!--table view -->
        <app-physical-view-catalog (sendOutBasketCount)="sendOutBasketCount($event)" (recieveData)="recieveData($event)"
            [searchText]="Catalog_Name" [searchResults]="SearchResults" (notify)="onNotify($event)">
        </app-physical-view-catalog>
    </div>
    <div class="tab-pane fade tab-data" id="data-set" role="tabpanel" [ngClass]="{'active show' : key == 'dataAsset'}">
        <app-data-asset [searchdataAsset]="searchdataAsset"></app-data-asset>
    </div>
    <div class="tab-pane fade tab-data" id="glossary" role="tabpanel" [ngClass]="{'active show' : key == 'glossary'}">
        <app-glossary></app-glossary>
    </div>
    <div class="tab-pane fade tab-data" id="data-set" role="tabpanel" [ngClass]="{'active show' : key == 'basket'}">
        <app-basket-info [Obj_URI_IDs]="object_uri_id" (sendOutBasketCount)="sendOutBasketCount($event)">
        </app-basket-info>
    </div>
</div>